more cleanup

Jean-Francois Dockes Jean-Francois Dockes 2014-02-10

removed debian/menu.ex
removed debian/upmpdcli.default.ex
removed debian/watch.ex
changed debian/control
changed upmpd/upmpd.cxx
changed upmpd/upmpdcli.conf
changed upmpd/upmpdutils.cxx
changed Makefile.am
copied debian/init.d.ex -> man/upmpdcli.1
copied debian/manpage.1.ex -> debian/watch
debian/menu.ex
File was removed.
debian/upmpdcli.default.ex
File was removed.
debian/watch.ex
File was removed.
debian/control Diff Switch to side-by-side view
Loading...
upmpd/upmpd.cxx Diff Switch to side-by-side view
Loading...
upmpd/upmpdcli.conf Diff Switch to side-by-side view
Loading...
upmpd/upmpdutils.cxx Diff Switch to side-by-side view
Loading...
Makefile.am Diff Switch to side-by-side view
Loading...
debian/init.d.ex to man/upmpdcli.1
--- a/debian/init.d.ex
+++ b/man/upmpdcli.1
@@ -1,154 +1,62 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides:          upmpdcli
-# Required-Start:    $network $local_fs
-# Required-Stop:
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: <Enter a short description of the software>
-# Description:       <Enter a long description of the software>
-#                    <...>
-#                    <...>
-### END INIT INFO
-
-# Author: Jean-Francois Dockes <dockes@y.dockes.com>
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC=upmpdcli             # Introduce a short description here
-NAME=upmpdcli             # Introduce the short server's name here
-DAEMON=/usr/sbin/upmpdcli # Introduce the server's location here
-DAEMON_ARGS=""             # Arguments to run the daemon with
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x $DAEMON ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-	# Return
-	#   0 if daemon has been started
-	#   1 if daemon was already running
-	#   2 if daemon could not be started
-	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-		|| return 1
-	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
-		$DAEMON_ARGS \
-		|| return 2
-	# Add code here, if necessary, that waits for the process to be ready
-	# to handle requests from services started subsequently which depend
-	# on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-	# Return
-	#   0 if daemon has been stopped
-	#   1 if daemon was already stopped
-	#   2 if daemon could not be stopped
-	#   other if a failure occurred
-	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-	RETVAL="$?"
-	[ "$RETVAL" = 2 ] && return 2
-	# Wait for children to finish too if this is a daemon that forks
-	# and if the daemon is only ever run from this initscript.
-	# If the above conditions are not satisfied then add some other code
-	# that waits for the process to drop all resources that could be
-	# needed by services started subsequently.  A last resort is to
-	# sleep for some time.
-	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-	[ "$?" = 2 ] && return 2
-	# Many daemons don't delete their pidfiles when they exit.
-	rm -f $PIDFILE
-	return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-	#
-	# If the daemon can reload its configuration without
-	# restarting (for example, when it is sent a SIGHUP),
-	# then implement that here.
-	#
-	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
-	return 0
-}
-
-case "$1" in
-  start)
-    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
-    do_start
-    case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-  ;;
-  stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  status)
-       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
-       ;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-:
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" (C) Copyright 2014 Jean-Francois Dockes <dockes@y.dockes.com>,
+.\"
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH UPMPDCLI SECTION "February 10, 2014"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+upmpdcli \- UPnP Media Renderer front-end to MPD, the Music Player Daemon
+.SH SYNOPSIS
+.B upmpdcli
+.RI [ options ] " files" ...
+.SH DESCRIPTION
+.PP
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
+.\" respectively.
+\fBupmpdcli\fP is a program which should be run permanently (typically as a
+daemon, or started upon logging in), and acts as an UPnP Media Renderer,
+using the Music Player Daemon, \fBmpd\fP, for actually playing the
+music. This allows integrating the high quality and widely ported MPD
+inside an UPnP-based music network, typically with a remote running on a
+tablet or phone.
+.SH OPTIONS
+This program uses short options. A summary of options is included below.
+.TP
+.B \-h\fR \fIhost\fP
+Define the host machine on which \fBmpd\fP runs.
+.TP
+.B \-p\fR \fIport\fP
+Define the IP port used by \fBmpd\fP.
+.TP
+.B \-d\fR \fIlogfilename\fP
+Send debug/trace messages to \fIlogfilename\fP.
+.TP
+.B \-l\fR \fIlevel\fP
+Set the log verbosity (0-4).
+.TP
+.B \-D\fR
+Daemonize (fork and run in background). Using -D for this is the reverse
+from usual convention, but the authors found it better to avoid surprising
+na��ve users with an unexpected disparition of the program...
+.TP
+.B \-c\fR \fIconfigfile\fP
+Use the configuration from \fIconfigfile\fP. The configuration file has a
+simple \fIname = value\fP format and can set the same values as the command
+line options (with a lower priority). The parameter names are
+\fImpdhost\fP, \fImpdport\fP, \fIlogfilename\fP, and \fIloglevel\fP.
+.SH SEE ALSO
+.BR mpd (1),
debian/manpage.1.ex to debian/watch
--- a/debian/manpage.1.ex
+++ b/debian/watch
@@ -1,56 +1,23 @@
-.\"                                      Hey, EMACS: -*- nroff -*-
-.\" (C) Copyright 2014 Jean-Francois Dockes <dockes@y.dockes.com>,
-.\"
-.\" First parameter, NAME, should be all caps
-.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
-.\" other parameters are allowed: see man(7), man(1)
-.TH UPMPDCLI SECTION "February 10, 2014"
-.\" Please adjust this date whenever revising the manpage.
-.\"
-.\" Some roff macros, for reference:
-.\" .nh        disable hyphenation
-.\" .hy        enable hyphenation
-.\" .ad l      left justify
-.\" .ad b      justify to both left and right margins
-.\" .nf        disable filling
-.\" .fi        enable filling
-.\" .br        insert line break
-.\" .sp <n>    insert n+1 empty lines
-.\" for manpage-specific macros, see man(7)
-.SH NAME
-upmpdcli \- program to do something
-.SH SYNOPSIS
-.B upmpdcli
-.RI [ options ] " files" ...
-.br
-.B bar
-.RI [ options ] " files" ...
-.SH DESCRIPTION
-This manual page documents briefly the
-.B upmpdcli
-and
-.B bar
-commands.
-.PP
-.\" TeX users may be more comfortable with the \fB<whatever>\fP and
-.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
-.\" respectively.
-\fBupmpdcli\fP is a program that...
-.SH OPTIONS
-These programs follow the usual GNU command line syntax, with long
-options starting with two dashes (`-').
-A summary of options is included below.
-For a complete description, see the Info files.
-.TP
-.B \-h, \-\-help
-Show summary of options.
-.TP
-.B \-v, \-\-version
-Show version of program.
-.SH SEE ALSO
-.BR bar (1),
-.BR baz (1).
-.br
-The programs are documented fully by
-.IR "The Rise and Fall of a Fooish Bar" ,
-available via the Info system.
+# Example watch control file for uscan
+# Rename this file to "watch" and then you can run the "uscan" command
+# to check for upstream updates and more.
+# See uscan(1) for format
+
+# Compulsory line, this is a version 3 file
+version=3
+
+# Uncomment to examine a Webpage
+# <Webpage URL> <string match>
+http://www.lesbonscomptes.com/upmpdcli/ upmpdcli-(.*)\.tar\.gz
+
+# Uncomment to examine a Webserver directory
+#http://www.example.com/pub/upmpdcli-(.*)\.tar\.gz
+
+# Uncommment to examine a FTP server
+#ftp://ftp.example.com/pub/upmpdcli-(.*)\.tar\.gz debian uupdate
+
+# Uncomment to find new files on sourceforge, for devscripts >= 2.9
+# http://sf.net/upmpdcli/upmpdcli-(.*)\.tar\.gz
+
+# Uncomment to find new files on GooglePages
+# http://example.googlepages.com/foo.html upmpdcli-(.*)\.tar\.gz